package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.GP_PricingEspecificoCategoriaDAO;
import com.rjconsultores.ventaboletos.entidad.GP_PricingEspecificoCategoria;
import com.rjconsultores.ventaboletos.service.GP_PricingEspecificoCategoriaService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("gp_pricingEspecificoCategoriaService")
public class GP_PricingEspecificoCategoriaServiceImpl implements GP_PricingEspecificoCategoriaService {
    @Autowired
    private GP_PricingEspecificoCategoriaDAO pricingEspecificoCategoriaDAO;
    
	@Override
	public List<GP_PricingEspecificoCategoria> obtenerTodos() {
		return pricingEspecificoCategoriaDAO.obtenerTodos();
	}

	@Override
	public GP_PricingEspecificoCategoria obtenerID(Long id) {
		return pricingEspecificoCategoriaDAO.obtenerID(id);
	}

	@Override
	@Transactional
	public GP_PricingEspecificoCategoria suscribir(GP_PricingEspecificoCategoria entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setActivo(Boolean.TRUE);

        return pricingEspecificoCategoriaDAO.suscribir(entidad);
	}

	@Override
	@Transactional
	public GP_PricingEspecificoCategoria actualizacion(GP_PricingEspecificoCategoria entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());

		return pricingEspecificoCategoriaDAO.actualizacion(entidad);
	}

	@Override
	@Transactional
	public void borrar(GP_PricingEspecificoCategoria entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        pricingEspecificoCategoriaDAO.actualizacion(entidad);
	}

}
